%define anolis_release 2
%{!?_vpath_builddir:%global _vpath_builddir %{_target_platform}}

Name:           deepin-compressor
Version:        5.12.13
Release:        3.01.%{anolis_release}%{?dist}
Summary:        A fast and lightweight application for creating and extracting archives
License:        GPLv3+
URL:            https://github.com/linuxdeepin/deepin-devicemanager
Source0:        %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires: gcc-c++
BuildRequires: cmake
BuildRequires: qt5-devel

BuildRequires: pkgconfig(gsettings-qt)
BuildRequires: pkgconfig(libsecret-1)
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(disomaster)
BuildRequires: pkgconfig(dtkwidget)
BuildRequires: pkgconfig(dtkgui)
BuildRequires: kf5-kcodecs-devel
BuildRequires: kf5-karchive-devel
BuildRequires: libzip-devel
BuildRequires: libarchive-devel

%if 0%{?openeuler}
BuildRequires: minizip-devel
%else
BuildRequires: minizip1.2-devel
%endif

BuildRequires: poppler-cpp-devel
BuildRequires: gtest-devel

Requires: p7zip p7zip-plugins
Requires: lz4-libs
Requires: unrar
Requires: deepin-shortcut-viewer
Requires: lzop

%description
%{summary}.

%prep
%autosetup

%build
export PATH=%{_qt5_bindir}:$PATH
sed -i "s|^cmake_minimum_required.*|cmake_minimum_required(VERSION 3.0)|" $(find . -name "CMakeLists.txt")
sed -i "s|lib/|%_lib/|" CMakeLists.txt
sed -i "s|/usr/lib|%_libdir|" src/source/common/pluginmanager.cpp
mkdir build && pushd build 
%cmake -DCMAKE_BUILD_TYPE=Release ../  -DAPP_VERSION=%{version} -DVERSION=%{version} 
%make_build -C  %{_vpath_builddir} 
popd

%install
mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d
echo "%{_libdir}/%{name}/plugins" >> %{buildroot}/etc/ld.so.conf.d/%{name}-%{_arch}.conf
/sbin/ldconfig
%make_install -C build/%{_vpath_builddir} INSTALL_ROOT="%buildroot"

#add rpath path in ld.so.conf.d

%post
/sbin/ldconfig

%files
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_libdir}/%{name}/plugins/*.so
%{_datadir}/icons/hicolor/scalable/apps/%{name}.svg
%{_datadir}/%{name}/translations/*.qm
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/deepin-manual/manual-assets/application/deepin-compressor/archive-manager/*
%{_datadir}/applications/context-menus/*.conf
%{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf

%changelog
* Wed Nov 01 2023 yangxianzhao <yangxianzhao@uniontech.com> - 5.12.13-3.01.2
- fix build error

* Mon Aug 28 2023 yangxianzhao <yangxianzhao@uniontech.com> - 5.12.13-3.01.1
- Specification spec file

* Sat Feb 25 2023 lvgenggeng <lvgenggeng@uniontech.com> - 5.12.13-3.01
- rebuild

* Fri Feb 10 2023 liweiganga <liweiganga@uniontech.com> - 5.12.13-3
- spec: modify path

* Fri Feb 10 2023 liweiganga <liweiganga@uniontech.com> - 5.12.13-2
- spec: add rpath path

* Tue Jan 10 2023 liweiganga <liweiganga@uniontech.com> - 5.12.13-1
- update: update to 5.12.13

* Mon Jun 13 2022 uoser <uoser@uniontech.com> - 5.10.11-1.02
- update: update to 5.10.11-1.02

